"""add component list fetching to secc

Revision ID: 3c66bfdf76e3
Revises: f9d03744dd49
Create Date: 2024-04-04 19:39:16.716155

"""
from pathlib import Path
from alembic import op


# revision identifiers, used by Alembic.
revision = '3c66bfdf76e3'
down_revision = 'f9d03744dd49'
branch_labels = None
depends_on = None

coarse_condor_old_content = (Path.cwd() / "versions" / "templates" / "vlass_coarse" / "fetch_condor_2.8.2.txt").read_text()
coarse_condor_new_content = (Path.cwd() / "versions" / "templates" / "vlass_coarse" / "fetch_condor_2.8.3.txt").read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{coarse_condor_new_content}'
        WHERE filename='vlass_coarse_fetch.condor' AND workflow_name='vlass_coarse'
        """
    )

def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{coarse_condor_old_content}'
        WHERE filename='vlass_coarse_fetch.condor' AND workflow_name='vlass_coarse'
        """
    )
