#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""
Tests for capability.message_architect
"""
from immutable_views import DictView

from workspaces.capability.message_architect import CapabilityMessageArchitect

request = {"request_id": -1}

execution = {"execution_id": -1}


class TestCapabilityMessageArchitect:
    def test_get_message_template(self):
        execution_msg = CapabilityMessageArchitect(execution=execution).get_message_template("execution_failed")
        assert execution_msg == DictView(
            {
                "service": "capability",
                "routing_key": "capability",
                "subject": None,
                "type": None,
            }
        )

    def test_compose_msg(self):
        execution_msg = CapabilityMessageArchitect(execution=execution).compose_message("execution_failed")
        assert execution_msg == DictView(
            {
                "service": "capability",
                "routing_key": "capability",
                "subject": {"execution_id": -1},
                "type": "execution-failed",
            }
        )
